The Conan registry is not FIPS compliant and is disabled when FIPS mode is enabled. These endpoints all return 404 Not Found.

Use this API to interact with the Conan package manager for v1 and v2 repositories. The v1 endpoints work for both projects and instances, and the availability of the v2 endpoints is controlled by a feature flag. Generally these endpoints are used by the Conan package manager client and are not meant for manual consumption.

These endpoints do not adhere to the standard API authentication methods. See each route for details on how credentials are expected to be passed. Undocumented authentication methods might be removed in the future.

Search for a Conan package

GET /api/v4/packages/conan/v1/conans/search

Searches the instance for a specified Conan package.

Parameters

NameTypeDescription
q
Query, required
StringSearch query
Example: Hello*
ignorecase
Query
BooleanIgnore case when searching (case-insensitive search)
Example: false

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
404Not Found—

Retrieve a recipe snapshot

GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}

Retrieves a snapshot of the files for a specified Conan recipe. The snapshot is a list of filenames with their associated MD5 hash.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanRecipeSnapshot
400Bad Request—
403Forbidden—
404Not Found—

Delete a recipe and package

DELETE /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}

Deletes a specified Conan recipe and associated package files from the package registry.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
403Forbidden—
404Not Found—

Retrieve a recipe manifest

GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/digest

Retrieves a manifest that includes a list of files and associated download URLs for a specified recipe.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanRecipeManifest
400Bad Request—
403Forbidden—
404Not Found—

List all recipe download URLs

GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/download_urls

Lists all files and associated download URLs for a specified recipe in the package registry. Returns the same payload as the recipe manifest endpoint.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanRecipeManifest
400Bad Request—
403Forbidden—
404Not Found—

Retrieve a package snapshot

GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}

Retrieves a snapshot of the files for a specified Conan package and reference. The snapshot is a list of filenames with their associated MD5 hash.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
conan_package_reference
Path, required
StringConan package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanPackageSnapshot
400Bad Request—
403Forbidden—
404Not Found—

Retrieve a package manifest

GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/digest

Retrieves a manifest that includes a list of files and associated download URLs for a specified package.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
conan_package_reference
Path, required
StringConan package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanPackageManifest
400Bad Request—
403Forbidden—
404Not Found—

List all package download URLs

GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/download_urls

Lists all files and associated download URLs for a specified package in the package registry. Returns the same payload as the package manifest endpoint.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
conan_package_reference
Path, required
StringConan package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanPackageManifest
400Bad Request—
403Forbidden—
404Not Found—

List all package upload URLs

POST /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/upload_urls

Lists all the upload URLs for a specified collection of package files. The request must include a JSON object with the name and size of the individual files.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
conan_package_reference
Path, required
StringConan package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanUploadUrls
400Bad Request—
403Forbidden—
404Not Found—

Retrieve package references metadata

GET /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/search

Retrieves the metadata for all package references of a specified package. This feature was introduced in GitLab 18.0.

Parameters

NameTypeDescription
package_name
Path, required
StringThe package name
Example: my-package
package_version
Path, required
StringThe package version
Example: 1.0
package_username
Path, required
StringThe package username
Example: my-group+my-project
package_channel
Path, required
StringThe package channel
Example: stable

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

List all recipe upload URLs

POST /api/v4/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/upload_urls

Lists all the upload URLs for a specified collection of recipe files. The request must include a JSON object with the name and size of the individual files.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanUploadUrls
400Bad Request—
403Forbidden—
404Not Found—

Retrieve a recipe file

GET /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}

Retrieves a specified recipe file from the package registry. You must use the download URL returned from the recipe download URLs endpoint.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conanfile.py

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
403Forbidden—
404Not Found—

Upload a recipe file

PUT /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}

Uploads a specified recipe file to the package registry. You must use the upload URL returned from the recipe upload URLs endpoint.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conanfile.py

Request body (multipart/form-data)

PropertyTypeDescription
file
Required
String (binary)The package file to be published (generated by Multipart middleware)

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Workhorse authorize the Conan recipe file

PUT /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}/authorize

Authorizes the Conan recipe file.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conanfile.py

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Retrieve a package file

GET /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}

Retrieves a specified package file from the package registry. You must use the download URL returned from the package download URLs endpoint.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
conan_package_reference
Path, required
StringConan Package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f
package_revision
Path, required
StringConan Package Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conaninfo.txt

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
403Forbidden—
404Not Found—

Upload a package file

PUT /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}

Uploads a specified package file to the package registry. You must use the upload URL returned from the package upload URLs endpoint.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
conan_package_reference
Path, required
StringConan Package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f
package_revision
Path, required
StringConan Package Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conaninfo.txt

Request body (multipart/form-data)

PropertyTypeDescription
file
Required
String (binary)The package file to be published (generated by Multipart middleware)

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Workhorse authorize the Conan package file

PUT /api/v4/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}/authorize

Authorizes the Conan package file.

Parameters

NameTypeDescription
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
conan_package_reference
Path, required
StringConan Package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f
package_revision
Path, required
StringConan Package Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conaninfo.txt

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Verify availability of a Conan repository

GET /api/v4/packages/conan/v1/ping

Verifies availability of a Conan repository.

Responses

CodeDescriptionSchema
200OK—
404Not Found—

Retrieve an authentication token

GET /api/v4/packages/conan/v1/users/authenticate

Retrieves an authentication token. Creates a JSON Web Token (JWT) for use as a Bearer header in other requests to the package registry.

Responses

CodeDescriptionSchema
200OK—
401Unauthorized—
404Not Found—

Verify authentication credentials

GET /api/v4/packages/conan/v1/users/check_credentials

Verifies authentication credentials for a Conan package registry.

Responses

CodeDescriptionSchema
200OK—
401Unauthorized—
404Not Found—

Search for a Conan package

GET /api/v4/projects/{id}/packages/conan/v1/conans/search

Searches the instance for a specified Conan package.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
q
Query, required
StringSearch query
Example: Hello*
ignorecase
Query
BooleanIgnore case when searching (case-insensitive search)
Example: false

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
404Not Found—

Retrieve a recipe snapshot

GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}

Retrieves a snapshot of the files for a specified Conan recipe. The snapshot is a list of filenames with their associated MD5 hash.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanRecipeSnapshot
400Bad Request—
403Forbidden—
404Not Found—

Delete a recipe and package

DELETE /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}

Deletes a specified Conan recipe and associated package files from the package registry.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
403Forbidden—
404Not Found—

Retrieve a recipe manifest

GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/digest

Retrieves a manifest that includes a list of files and associated download URLs for a specified recipe.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanRecipeManifest
400Bad Request—
403Forbidden—
404Not Found—

List all recipe download URLs

GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/download_urls

Lists all files and associated download URLs for a specified recipe in the package registry. Returns the same payload as the recipe manifest endpoint.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanRecipeManifest
400Bad Request—
403Forbidden—
404Not Found—

Retrieve a package snapshot

GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}

Retrieves a snapshot of the files for a specified Conan package and reference. The snapshot is a list of filenames with their associated MD5 hash.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
conan_package_reference
Path, required
StringConan package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanPackageSnapshot
400Bad Request—
403Forbidden—
404Not Found—

Retrieve a package manifest

GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/digest

Retrieves a manifest that includes a list of files and associated download URLs for a specified package.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
conan_package_reference
Path, required
StringConan package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanPackageManifest
400Bad Request—
403Forbidden—
404Not Found—

List all package download URLs

GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/download_urls

Lists all files and associated download URLs for a specified package in the package registry. Returns the same payload as the package manifest endpoint.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
conan_package_reference
Path, required
StringConan package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanPackageManifest
400Bad Request—
403Forbidden—
404Not Found—

List all package upload URLs

POST /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/packages/{conan_package_reference}/upload_urls

Lists all the upload URLs for a specified collection of package files. The request must include a JSON object with the name and size of the individual files.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
conan_package_reference
Path, required
StringConan package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanUploadUrls
400Bad Request—
403Forbidden—
404Not Found—

Retrieve package references metadata

GET /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/search

Retrieves the metadata for all package references of a specified package. This feature was introduced in GitLab 18.0.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringThe package name
Example: my-package
package_version
Path, required
StringThe package version
Example: 1.0
package_username
Path, required
StringThe package username
Example: my-group+my-project
package_channel
Path, required
StringThe package channel
Example: stable

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

List all recipe upload URLs

POST /api/v4/projects/{id}/packages/conan/v1/conans/{package_name}/{package_version}/{package_username}/{package_channel}/upload_urls

Lists all the upload URLs for a specified collection of recipe files. The request must include a JSON object with the name and size of the individual files.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanUploadUrls
400Bad Request—
403Forbidden—
404Not Found—

Retrieve a recipe file

GET /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}

Retrieves a specified recipe file from the package registry. You must use the download URL returned from the recipe download URLs endpoint.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conanfile.py

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
403Forbidden—
404Not Found—

Upload a recipe file

PUT /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}

Uploads a specified recipe file to the package registry. You must use the upload URL returned from the recipe upload URLs endpoint.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conanfile.py

Request body (multipart/form-data)

PropertyTypeDescription
file
Required
String (binary)The package file to be published (generated by Multipart middleware)

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Workhorse authorize the Conan recipe file

PUT /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/export/{file_name}/authorize

Authorizes the Conan recipe file.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conanfile.py

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Retrieve a package file

GET /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}

Retrieves a specified package file from the package registry. You must use the download URL returned from the package download URLs endpoint.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
conan_package_reference
Path, required
StringConan Package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f
package_revision
Path, required
StringConan Package Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conaninfo.txt

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
403Forbidden—
404Not Found—

Upload a package file

PUT /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}

Uploads a specified package file to the package registry. You must use the upload URL returned from the package upload URLs endpoint.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
conan_package_reference
Path, required
StringConan Package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f
package_revision
Path, required
StringConan Package Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conaninfo.txt

Request body (multipart/form-data)

PropertyTypeDescription
file
Required
String (binary)The package file to be published (generated by Multipart middleware)

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Workhorse authorize the Conan package file

PUT /api/v4/projects/{id}/packages/conan/v1/files/{package_name}/{package_version}/{package_username}/{package_channel}/{recipe_revision}/package/{conan_package_reference}/{package_revision}/{file_name}/authorize

Authorizes the Conan package file.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringConan Recipe Revision
Example: 0
conan_package_reference
Path, required
StringConan Package ID
Example: 103f6067a947f366ef91fc1b7da351c588d1827f
package_revision
Path, required
StringConan Package Revision
Example: 0
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conaninfo.txt

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Verify availability of a Conan repository

GET /api/v4/projects/{id}/packages/conan/v1/ping

Verifies availability of a Conan repository.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
404Not Found—

Retrieve an authentication token

GET /api/v4/projects/{id}/packages/conan/v1/users/authenticate

Retrieves an authentication token. Creates a JSON Web Token (JWT) for use as a Bearer header in other requests to the package registry.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
404Not Found—

Verify authentication credentials

GET /api/v4/projects/{id}/packages/conan/v1/users/check_credentials

Verifies authentication credentials for a Conan package registry.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
404Not Found—

Search for a Conan package

GET /api/v4/projects/{id}/packages/conan/v2/conans/search

Searches the instance for a specified Conan package.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
q
Query, required
StringSearch query
Example: Hello*
ignorecase
Query
BooleanIgnore case when searching (case-insensitive search)
Example: false

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
404Not Found—

Retrieve latest recipe revision

GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/latest

Retrieves the revision hash and creation date of the latest package recipe. This feature was introduced in GitLab 17.11.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanRevision
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

List all recipe revisions

GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions

Lists all revisions for a package recipe. This feature was introduced in GitLab 17.11.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanRecipeRevisions
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Delete recipe revision

DELETE /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}

Deletes a specified recipe revision from the registry. If the recipe revision is the only one, the package is deleted as well. This feature was introduced in GitLab 18.1.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

List all recipe files

GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/files

Lists all recipe files from the package registry. This feature was introduced in GitLab 17.11.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanFilesList
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Retrieve a recipe file

GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/files/{file_name}

Retrieves a specified recipe file from the package registry. This feature was introduced in GitLab 17.8.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conanfile.py

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Upload a recipe file

PUT /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/files/{file_name}

Uploads a specified recipe file to the package registry. This feature was introduced in GitLab 17.10.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conanfile.py

Request body (multipart/form-data)

PropertyTypeDescription
file
Required
String (binary)The package file to be published (generated by Multipart middleware)

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Workhorse authorize the Conan recipe file

PUT /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/files/{file_name}/authorize

Authorizes the Conan recipe file. This feature was introduced in GitLab 17.10.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conanfile.py

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Retrieve latest package revision

GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/latest

Retrieves the revision hash and creation date of the latest package revision for a specified recipe revision and package reference. This feature was introduced in GitLab 17.11.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25
conan_package_reference
Path, required
StringPackage reference
Example: 5ab84d6acfe1f23c4fae0ab88f26e3a396351ac9

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanRevision
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

List all package revisions

GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions

Lists all package revisions for a specified recipe revision and package reference. This feature was introduced in GitLab 18.0.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25
conan_package_reference
Path, required
StringPackage reference
Example: 5ab84d6acfe1f23c4fae0ab88f26e3a396351ac9

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanPackageRevisions
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Delete a package revision

DELETE /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions/{package_revision}

Deletes a specified package revision from the registry. If the package reference has only one package revision, the package reference is deleted as well. This feature was introduced in GitLab 18.1.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25
conan_package_reference
Path, required
StringPackage reference
Example: 5ab84d6acfe1f23c4fae0ab88f26e3a396351ac9
package_revision
Path, required
StringPackage revision
Example: 3bdd2d8c8e76c876ebd1ac0469a4e72c

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

List all package files

GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions/{package_revision}/files

Lists all package files. This feature was introduced in GitLab 18.0.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25
conan_package_reference
Path, required
StringPackage reference
Example: 5ab84d6acfe1f23c4fae0ab88f26e3a396351ac9
package_revision
Path, required
StringPackage revision
Example: 3bdd2d8c8e76c876ebd1ac0469a4e72c

Responses

CodeDescriptionSchema
200OKAPIEntitiesPackagesConanFilesList
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Retrieve a package file

GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions/{package_revision}/files/{file_name}

Retrieves a specified package file from the package registry. This feature was introduced in GitLab 17.11.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25
conan_package_reference
Path, required
StringPackage reference
Example: 5ab84d6acfe1f23c4fae0ab88f26e3a396351ac9
package_revision
Path, required
StringPackage revision
Example: 3bdd2d8c8e76c876ebd1ac0469a4e72c
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conaninfo.txt

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Upload a package file

PUT /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions/{package_revision}/files/{file_name}

Uploads a specified package file to the package registry. This feature was introduced in GitLab 17.11.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25
conan_package_reference
Path, required
StringPackage reference
Example: 5ab84d6acfe1f23c4fae0ab88f26e3a396351ac9
package_revision
Path, required
StringPackage revision
Example: 3bdd2d8c8e76c876ebd1ac0469a4e72c
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conaninfo.txt

Request body (multipart/form-data)

PropertyTypeDescription
file
Required
String (binary)The package file to be published (generated by Multipart middleware)

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Workhorse authorize the Conan package file

PUT /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/packages/{conan_package_reference}/revisions/{package_revision}/files/{file_name}/authorize

Authorizes the Conan package file. This feature was introduced in GitLab 17.11.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25
conan_package_reference
Path, required
StringPackage reference
Example: 5ab84d6acfe1f23c4fae0ab88f26e3a396351ac9
package_revision
Path, required
StringPackage revision
Example: 3bdd2d8c8e76c876ebd1ac0469a4e72c
file_name
Path, required
StringPackage file name
Allowed values: conanfile.py, conanmanifest.txt, conan_sources.tgz, conan_export.tgz, conaninfo.txt, conan_package.tgz
Minimum length: 1
Example: conaninfo.txt

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Retrieve package references metadata by recipe revision

GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/revisions/{recipe_revision}/search

Retrieves the metadata for all package references associated with a specified recipe revision. This feature was introduced in GitLab 18.1.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringPackage name
Example: my-package
package_version
Path, required
StringPackage version
Example: 1.0
package_username
Path, required
StringPackage username
Example: my-group+my-project
package_channel
Path, required
StringPackage channel
Example: stable
recipe_revision
Path, required
StringRecipe revision
Example: df28fd816be3a119de5ce4d374436b25

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Retrieve package references metadata

GET /api/v4/projects/{id}/packages/conan/v2/conans/{package_name}/{package_version}/{package_username}/{package_channel}/search

Retrieves the metadata for all package references of a specified package. This feature was introduced in GitLab 18.0.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
package_name
Path, required
StringThe package name
Example: my-package
package_version
Path, required
StringThe package version
Example: 1.0
package_username
Path, required
StringThe package username
Example: my-group+my-project
package_channel
Path, required
StringThe package channel
Example: stable

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
403Forbidden—
404Not Found—

Retrieve an authentication token

GET /api/v4/projects/{id}/packages/conan/v2/users/authenticate

Retrieves an authentication token. Creates a JSON Web Token (JWT) for use as a Bearer header in other requests to the package registry.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
404Not Found—

Verify authentication credentials

GET /api/v4/projects/{id}/packages/conan/v2/users/check_credentials

Verifies authentication credentials for a Conan package registry.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project

Responses

CodeDescriptionSchema
200OK—
400Bad Request—
401Unauthorized—
404Not Found—

Schemas

Objects returned by the operations above and objects nested in their request bodies.

APIEntitiesPackagesConanFilesList

PropertyTypeDescription
filesObjectExample: {"conan_sources.tgz":{},"conanfile.py":{},"conanmanifest.txt":{}}

APIEntitiesPackagesConanPackageManifest

PropertyTypeDescription
package_urlsObjectExample: {"conan_package.tgz":"https://gitlab.example.com/api/v4/packages/conan/v1/files/my-package/1.0/my-group+my-project/stable/packages/103f6067a947f366ef91fc1b7da351c588d1827f/0/conan_package.tgz"}

APIEntitiesPackagesConanPackageRevisions

PropertyTypeDescription
packageReferenceStringThe Conan package reference
Example: packageTest/1.2.3@gitlab-org+conan/stable#1883c9f810f2d6e5b59d5285c7141970:133a1f2158ff2cf69739f316ec21143785be54c7
revisionsArray of APIEntitiesPackagesConanRevisionList of package revisions

APIEntitiesPackagesConanPackageSnapshot

PropertyTypeDescription
package_snapshotObjectExample: {"conan_package.tgz":"749b29bdf72587081ca03ec033ee59dc"}

APIEntitiesPackagesConanRecipeManifest

PropertyTypeDescription
recipe_urlsObjectExample: {"conan_sources.tgz":"https://gitlab.example.com/api/v4/packages/conan/v1/files/my-package/1.0/my-group+my-project/stable/0/export/conan_sources.tgz"}

APIEntitiesPackagesConanRecipeRevisions

PropertyTypeDescription
referenceStringThe Conan package reference
Example: packageTest/1.2.3@gitlab-org+conan/stable
revisionsArray of APIEntitiesPackagesConanRevisionList of recipe revisions

APIEntitiesPackagesConanRecipeSnapshot

PropertyTypeDescription
recipe_snapshotObjectExample: {"conan_sources.tgz":"eadf19b33f4c3c7e113faabf26e76277"}

APIEntitiesPackagesConanRevision

PropertyTypeDescription
revisionStringThe revision hash of the Conan recipe or package
Example: 75151329520e7685dcf5da49ded2fec0
timeStringThe UTC timestamp when the revision was created
Example: 2024-12-17T09:16:40.334Z

APIEntitiesPackagesConanUploadUrls

PropertyTypeDescription
upload_urlsObjectExample: {"conan_package.tgz":"https://gitlab.example.com/api/v4/packages/conan/v1/files/my-package/1.0/my-group+my-project/stable/0/package/103f6067a947f366ef91fc1b7da351c588d1827f/0/conan_package.tgz"}